Index: stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/xlink.rng
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/xlink.rng	(revision 15c7d39533a1eb1da0748011f3378fd0f02ed14d)
+++ stylesheets/lfs-xsl/docbook-xsl-1.78.1/slides/schema/relaxng/xlink.rng	(revision 15c7d39533a1eb1da0748011f3378fd0f02ed14d)
@@ -0,0 +1,182 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  This file is part of DocBook V5.0
+  
+  Copyright 1992-2008 HaL Computer Systems, Inc.,
+  O'Reilly & Associates, Inc., ArborText, Inc., Fujitsu Software
+  Corporation, Norman Walsh, Sun Microsystems, Inc., and the
+  Organization for the Advancement of Structured Information
+  Standards (OASIS).
+  
+  Release: $Id: xlink.rnc 8931 2010-10-20 13:29:20Z nwalsh $
+  
+  Permission to use, copy, modify and distribute the DocBook schema
+  and its accompanying documentation for any purpose and without fee
+  is hereby granted in perpetuity, provided that the above copyright
+  notice and this paragraph appear in all copies. The copyright
+  holders make no representation about the suitability of the schema
+  for any purpose. It is provided "as is" without expressed or implied
+  warranty.
+  
+  If you modify the DocBook schema in any way, label your schema as a
+  variant of DocBook. See the reference documentation
+  (http://docbook.org/tdg5/en/html/ch05.html#s-notdocbook)
+  for more information.
+  
+  Please direct all questions, bug reports, or suggestions for changes
+  to the docbook@lists.oasis-open.org mailing list. For more
+  information, see http://www.oasis-open.org/docbook/.
+  
+  ======================================================================
+-->
+<grammar ns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook" xmlns:s="http://purl.oclc.org/dsdl/schematron" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ctrl="http://nwalsh.com/xmlns/schema-control/" xmlns="http://relaxng.org/ns/structure/1.0" datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
+  <define name="db.info.elements" combine="choice">
+    <ref name="db.extendedlink"/>
+  </define>
+  <define name="db.xlink.from.attribute">
+    <attribute name="xlink:from">
+      <db:refpurpose>Specifies the XLink traversal-from</db:refpurpose>
+      <data type="NMTOKEN"/>
+    </attribute>
+  </define>
+  <define name="db.xlink.label.attribute">
+    <attribute name="xlink:label">
+      <db:refpurpose>Specifies the XLink label</db:refpurpose>
+      <data type="NMTOKEN"/>
+    </attribute>
+  </define>
+  <define name="db.xlink.to.attribute">
+    <attribute name="xlink:to">
+      <db:refpurpose>Specifies the XLink traversal-to</db:refpurpose>
+      <data type="NMTOKEN"/>
+    </attribute>
+  </define>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>extendedlink</db:refname>
+    <db:refpurpose>An XLink extended link</db:refpurpose>
+    <define name="db.extendedlink.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.extendedlink.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.extendedlink.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <optional>
+          <attribute name="xlink:type" a:defaultValue="extended">
+            <db:refpurpose>Identifies the XLink link type </db:refpurpose>
+            <value>extended</value>
+            <a:documentation>An XLink extended link</a:documentation>
+          </attribute>
+        </optional>
+        <optional>
+          <ref name="db.xlink.role.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.title.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.extendedlink">
+      <element name="extendedlink">
+        <ref name="db.extendedlink.attlist"/>
+        <oneOrMore>
+          <choice>
+            <ref name="db.locator"/>
+            <ref name="db.arc"/>
+          </choice>
+        </oneOrMore>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>locator</db:refname>
+    <db:refpurpose>An XLink locator in an <db:tag>extendedlink</db:tag>
+    </db:refpurpose>
+    <define name="db.locator.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.locator.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.locator.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <optional>
+          <attribute name="xlink:type" a:defaultValue="locator">
+            <db:refpurpose>Identifies the XLink link type </db:refpurpose>
+            <value>locator</value>
+            <a:documentation>An XLink locator link</a:documentation>
+          </attribute>
+        </optional>
+        <ref name="db.xlink.href.attribute"/>
+        <optional>
+          <ref name="db.xlink.role.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.title.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.label.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.locator">
+      <element name="locator">
+        <ref name="db.locator.attlist"/>
+        <empty/>
+      </element>
+    </define>
+  </div>
+  <!-- ====================================================================== -->
+  <div>
+    <db:refname>arc</db:refname>
+    <db:refpurpose>An XLink arc in an <db:tag>extendedlink</db:tag>
+    </db:refpurpose>
+    <define name="db.arc.role.attribute">
+      <attribute name="role"/>
+    </define>
+    <define name="db.arc.attlist">
+      <interleave>
+        <optional>
+          <ref name="db.arc.role.attribute"/>
+        </optional>
+        <ref name="db.common.attributes"/>
+        <optional>
+          <attribute name="xlink:type" a:defaultValue="arc">
+            <db:refpurpose>Identifies the XLink link type </db:refpurpose>
+            <value>arc</value>
+            <a:documentation>An XLink arc link</a:documentation>
+          </attribute>
+        </optional>
+        <optional>
+          <ref name="db.xlink.arcrole.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.title.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.show.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.actuate.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.from.attribute"/>
+        </optional>
+        <optional>
+          <ref name="db.xlink.to.attribute"/>
+        </optional>
+      </interleave>
+    </define>
+    <define name="db.arc">
+      <element name="arc">
+        <ref name="db.arc.attlist"/>
+        <empty/>
+      </element>
+    </define>
+  </div>
+</grammar>
